[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.Create

Create a new instance of TIniFile

## Declaration

Source position: line 0

`public constructor TIniFile.Create(`
`const AFileName: string;`
`AEscapeLineFeeds: Boolean = False`
`); override; constructor TIniFile.Create(`
`AStream: TStream;`
`AEscapeLineFeeds: Boolean = False`
`);`

## Arguments

`AFileName` |  | Filename to read from
`AEscapeLineFeeds` |  | Should escaping of linefeeds be enabled ?

## Arguments

`AStream` |  | Stream to read ini data from
`AEscapeLineFeeds` |  | Should escaping of linefeeds be enabled ?

## Description

Create creates a new instance of TIniFile and initializes the class by reading the file from disk if the filename AFileName is specified, or from stream in case AStream is specified. It also sets most variables to their initial values, i.e. AEscapeLineFeeds is saved prior to reading the file, and Cacheupdates is set to False.

## See also

TCustomIniFile |  | Abstract ini file object
TMemIniFile |  | Inifile cached in memory

Documentation generated on: Feb 26 2014